Subject: Linux-Activists - DOC Channel digest. 94-0-31-4:30
From: "Linux Activists" <[email-masked]>
To: "Linux-Activists" <[email-masked]>
Date: Mon, 31 Jan 1994 06:40:07 +0200

Topics:
	 TeX formatting

----------------------------------------------------------------------

From: [email-masked] (Olaf Kirch)
Subject: TeX formatting
Date: Sun, 30 Jan 1994 21:20:48 +0200

Hi,

Here's some stuff for the TeX-savvy: In the upcoming release of
the netguide (yeah, we all believe in Santa, don't we? :-),
I have a few floats that are bigger than one page. Is there a
painless way of splitting them? The problem is that I'd like
this splitting to be independent of whether I use A4 paper or
US Letter.

Another problem is the use of different fonts in a heading, say
	\chapter{Configuring {\tt smail}}
This is unsatisfactory for several reasons: There's no \tt font
big enough for a chapter heading (report or book style), so ``smail''
will be set in Roman; also, ``smail'' will be capitalized when
printed in the page header (even worse with things like
``USING /ETC/EXPORTS'', where capitalization is obviously wrong).
Finally, the \tt will not show up in the table of contents. The usual
kludge of adding a \protect like in
	\chapter{Configuring \protect{\tt smail}}
makes latex barf on this when reading the .toc file, because
the space after the \tt command is gobbled, yielding \ttsmail.
So, right now, I use
	\chapter{Configuring \protect{\tt{}smail}}
which is a pain in the back to type. Is that y mistake? Or is
there a simple solution? Maybe we need new heading macros?

Oh, and what's even worse, if you use \em in a heading, it
prints the emphasized text in normal 10 points. Looks really
weird :-(

Finally, I have a request regarding linuxdoc layout: In a few places,
I use subsubsection. When numbering them, it looks really like
some of those IRS forms. Without, you can hardly distinguish
the heading from the remainder of the text. Any suggestions?
Using a list envrionment is not really a solution, because
multi-page lists look a little silly, too. I've already thought
about adding a horizontal line after each heading, but that doesn't
cut it. How about underlining? Boldface?

Well, sometimes I really understand those that say TeX is
mind-bending dirt-bag of mega-kludges :-)

Cheers,
Olaf
-- 
Olaf Kirch		[email-masked]		    Darmstadt, FRG

  o>    o>    o>    o>    o>    o>    o>    o>    o>    o>    o>    o>  
 dD_   dD_   dD_   dD_   dD_   dD_   dD_   dD_   dD_   dD_   dD_   dD_
save the lemmings save the lemmings save the lemmings save the lemmings

------------------------------

End of DOC Digest
*****************
-------